## wide-dhcpv6 20060114

=== Makefile ===
# Copyright (c) 2004 WIDE Project. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. Neither the name of the project nor the names of its contributors
#    may be used to endorse or promote products derived from this software
#    without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

#
# $Id: Makefile.in,v 1.2 2005/12/11 05:52:23 suzsuz Exp $
# $KAME: Makefile.in,v 1.45 2005/10/16 16:25:38 suz Exp $
#

prefix=	/usr/local
srcdir=	.
sysconfdir= ${prefix}/etc
localdbdir= /var/db

CFLAGS=	-g -O2 -I$(srcdir) -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DINET6=1 -DHAVE_GETADDRINFO=1 -DHAVE_GETNAMEINFO=1 -DHAVE_GETIFADDRS=1 -DHAVE_IF_NAMETOINDEX=1 -DHAVE_STRLCPY=1 -DHAVE_STRLCAT=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_SYSLOG_H=1 -DHAVE_UNISTD_H=1 -DHAVE_IFADDRS_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_STRUCT_TM_TM_ZONE=1 -DHAVE_TM_ZONE=1 -DGETPGRP_VOID=1 -DRETSIGTYPE=void -DHAVE_MKTIME=1 -DHAVE_SELECT=1 -DHAVE_SOCKET=1 -DHAVE_CLOCK_GETTIME=1 -DHAVE_ARC4RANDOM=1 -DHAVE_ANSI_FUNC=1 -DHAVE_STDARG_H=1  -DSYSCONFDIR=\"${sysconfdir}\" \
	-DLOCALDBDIR=\"${localdbdir}\"
LDFLAGS=
LIBOBJS=
LIBS=	 -ly -ll
CC=	gcc
TARGET=	dhcp6c dhcp6s dhcp6relay dhcp6ctl

INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}
INSTALL_DATA=${INSTALL} -m 644
prefix=	/usr/local
exec_prefix=	${prefix}
bindir=	${exec_prefix}/bin
sbindir=${exec_prefix}/sbin
mandir=	${prefix}/man

CFLAGS+=   \
	  \
	 \
	-DCONF_DH6OPT_NTP=-1 \

GENSRCS=cfparse.c cftoken.c
CLIENTOBJS=	dhcp6c.o common.o config.o prefixconf.o dhcp6c_ia.o timer.o \
	dhcp6c_script.o if.o base64.o auth.o dhcp6_ctl.o addrconf.o \
	$(GENSRCS:%.c=%.o)
SERVOBJS=	dhcp6s.o common.o if.o config.o timer.o \
	base64.o auth.o dhcp6_ctl.o $(GENSRCS:%.c=%.o)
RELAYOBJS =	dhcp6relay.o common.o timer.o
LITECLIENTOBJS=	dhcp6lc.o common.o if.o timer.o dhcp6c_script.o
CTLOBJS= dhcp6_ctlclient.o base64.o auth.o
CLEANFILES+=	y.tab.h

all:	$(TARGET)
dhcp6c:	$(CLIENTOBJS) $(LIBOBJS)
	$(CC) $(LDFLAGS) -o dhcp6c $(CLIENTOBJS) $(LIBOBJS) $(LIBS)
dhcp6s:	$(SERVOBJS) $(LIBOBJS)
	$(CC) $(LDFLAGS) -o dhcp6s $(SERVOBJS) $(LIBOBJS) $(LIBS)
dhcp6relay: $(RELAYOBJS) $(LIBOBJS)
	$(CC) $(LDFLAGS) -o $@ $(RELAYOBJS) $(LIBOBJS) $(LIBS)
dhcp6lc:$(LITECLIENTOBJS) $(LIBOBJS)
	$(CC) $(LDFLAGS) -o $@ $(LITECLIENTOBJS) $(LIBOBJS) $(LIBS)
dhcp6ctl: $(CTLOBJS)
	$(CC) $(LDFLAGS) -o $@ $(CTLOBJS) $(LIBOBJS) $(LIBS)

cfparse.c y.tab.h: cfparse.y
	yacc -d cfparse.y
	mv y.tab.c cfparse.c

cftoken.c: cftoken.l y.tab.h
	lex cftoken.l
	mv lex.yy.c $@	

getaddrinfo.o:	$(srcdir)/missing/getaddrinfo.c
	$(CC) -c $(srcdir)/missing/$*.c
getnameinfo.o:	$(srcdir)/missing/getnameinfo.c
	$(CC) -c $(srcdir)/missing/$*.c
strlcat.o:	$(srcdir)/missing/strlcat.c
	$(CC) -c $(srcdir)/missing/$*.c
strlcpy.o:	$(srcdir)/missing/strlcpy.c
	$(CC) -c $(srcdir)/missing/$*.c
arc4random.o:	$(srcdir)/missing/arc4random.c
	$(CC) -c $(srcdir)/missing/$*.c

$(srcdir)/ianaopts.h: gentab.pl bootp-dhcp-parameters
	expand bootp-dhcp-parameters | perl gentab.pl > ianaopts.h

install::
	$(INSTALL_PROGRAM) -s -o bin -g bin $(TARGET) $(sbindir)
	$(INSTALL_DATA) -o bin -g bin dhcp6c.8 $(mandir)/man8
	$(INSTALL_DATA) -o bin -g bin dhcp6s.8 $(mandir)/man8
	$(INSTALL_DATA) -o bin -g bin dhcp6relay.8 $(mandir)/man8
	$(INSTALL_DATA) -o bin -g bin dhcp6ctl.8 $(mandir)/man8
	$(INSTALL_DATA) -o bin -g bin dhcp6c.conf.5 $(mandir)/man5
	$(INSTALL_DATA) -o bin -g bin dhcp6s.conf.5 $(mandir)/man5

includes::

clean::
	/bin/rm -f *.o $(TARGET) $(CLEANFILES) $(GENSRCS)

distclean:: clean
	/bin/rm -f Makefile config.cache config.log config.status .depend

depend:
	mkdep ${CFLAGS:M-[ID]*} $(srcdir)/*.c

package:
	tar -zcvf wide-dhcpv6.tar.gz $(srcdir)/*.[chyl1-8] $(srcdir)/Makefile* \
		$(srcdir)/README $(srcdir)/COPYRIGHT $(srcdir)/CHANGES \
		$(srcdir)/config* $(srcdir)/install-sh  $(srcdir)/*.sample \
		$(srcdir)/missing/arc4random.?  $(srcdir)/missing/strlcat.c \
		$(srcdir)/missing/strlcpy.c

## wide-dhcpv6 20070507-3osso5

=== debian/changelog ===
wide-dhcpv6 (20070507-3osso5) unstable; urgency=low

  * IPv6 initialization moved later (see NB#80715)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 15 Feb 2008 11:31:21 +0200

wide-dhcpv6 (20070507-3osso4) unstable; urgency=low

  * Name of the interfaces setting in gconf changed.
  * noyywrap option added to cftoken.l so that scratchbox flex version 2.5.31
    works correctly

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 13 Feb 2008 09:14:02 +0200

wide-dhcpv6 (20070507-3osso3) unstable; urgency=low

  * Init script checks client status correctly. Fixes: NB#79380

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 16 Jan 2008 17:07:53 +0200

wide-dhcpv6 (20070507-3osso2) unstable; urgency=low

  * Make sure that dhcp6c is killed in ifupdown script.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 18 Oct 2007 13:25:25 +0300

wide-dhcpv6 (20070507-3osso1) unstable; urgency=low

  * Modified for OSSO diablo release.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 21 Sep 2007 13:58:09 +0300

wide-dhcpv6 (20070507-3) unstable; urgency=low

  * debian/patches:
    -> Added 100_dont-strip-binaries.diff: prevent upstream build system from
       stripping binaries (Closes: #438262).
  * Added Portuguese debconf templates translation, thanks to Américo Monteiro
    (Closes: #437280).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Thu, 16 Aug 2007 09:10:41 -0700

wide-dhcpv6 (20070507-2) unstable; urgency=low

  * debian/patches:
    -> Added 001_use-sig_atomic_t.diff: use sig_atomic_t for sigflags in
       signal handlers.
    -> Added 002_singular-point-check-fix.diff: fix a singular-point
       detection failure in replay check.
    -> Added 003_sprint_uint64-buffer-overrun-fix.diff: fix a potential buffer
       overrun in sprint_uint64().
  * Added German debconf templates translation, thanks to Helge Kreutzmann
    (Closes: #428267).
  * Removed extra spaces in the debconf templates. All translations updated
    and unfuzzied (Closes: 428268).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Tue, 24 Jul 2007 13:24:13 -0700

wide-dhcpv6 (20070507-1) unstable; urgency=low

  * Mew upstream release.
  * Use quilt instead of dpatch.
  * debian/patches:
    -> Get rid of 002_Makefile.in.diff: dh_fixperms takes care of files
       ownership.
    -> Removed 001_bugfixes_20061227.diff: merged upstream.
  * debian/control:
    -> Added Vcs fields.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Mon, 07 May 2007 10:37:01 -0700

wide-dhcpv6 (20061016-2) unstable; urgency=low

  * debian/control: added lsb-base as a dependency.
  * debian/patches:
    -> Added 01_bugfixes_20061227.dpatch:
      + Bug fixes from CVS 20061227.
      + dhcp6relay accepts Unique Local IPv6 unicast Addresses.
      + Fix an IA allocation failure from pool in dhcp6s.
      + Fix "-P" option in dhcp6s.
    -> Updated 02_Makefile.in.dpatch.
  * debian/scripts/dhcp6c-ifupdown: check whether dhcp6c is running and exit
    silently if not. Avoid errors when network is brought up before the client
    is started (Closes: #404887).
  * debian/dhcp6c.conf: corrected typo in comment (Closes: #404584).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri,  5 Jan 2007 16:01:17 -0800

wide-dhcpv6 (20061016-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up debian/rules.
  * debian/patches:
    -> Removed 02_CVS-20060920.dpatch: merged upstream.
  * debian/scripts:
    -> Fixed bashisms in dhcp6c-ifupdown (Closes: #396909).

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Fri,  3 Nov 2006 13:20:55 -0800

wide-dhcpv6 (20060902-2) unstable; urgency=medium

  * The "Why should I test my init files when users can do that better than
    me" release..
  * Fix typo in wide-dhcpv6-*.init.d: it's /lib/lsb/init-functions, not
    init-functtions.. (Closes: #391718).
  * In wide-dhcpv6-client.init.d: replace log_end_message by log_end_msg, I
    must have been smoking crack when I updated those files.
  * Fix typo in dhcp6c.8: dhcp6c_duid is in /var/lib/dhcpv6, not in
    /var/lib/dhcp.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Sun,  8 Oct 2006 11:26:40 -0700

wide-dhcpv6 (20060902-1) unstable; urgency=low

  * New upstream release.
  * debian/wide-dhcpv6-*.init.d:
    -> LSB compliant init scripts.
  * debian/patches:
    -> Added 02_CVS-20060920.dpatch:
      + Update to CVS 20060920.
      + Fix a memory violation in lease management.
      + Fix a bug that dhcp6s inserts SIP server addresses into DNS server
        address option.
      + Fix a bug that status-code option might include a unexpected garbage
        value.
      + Fix dhcp6s documentation: you need to provide a preferred-lifetime for
        each address-prefix (Closes: #387416).
    -> Removed 02_remove-if-USE_POOL-macros.dpatch
    -> Removed 03_pid_dump.dpatch
    -> Removed 07_cftoken.l-bison.dpatch
    -> Removed 08_support-include-statement.dpatch
       All merged upstream.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 20 Sep 2006 14:36:12 -0700

wide-dhcpv6 (20060322-4) unstable; urgency=medium

  * debian/wide-dhcpv6-*.postinst: don't modify
    /etc/default/wide-dhcpv6-${daemon} if it already exists.
  * debian/patches:
    -> Removed 03_dhcp6c_pid_dump.dpatch, 04_dhcp6s_pid_dump.dpatch and
       05_dhcp6relay_pid_dump.dpatch.
    -> Added 03_pid_dump.dpatch: upstream patch.

 -- Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>  Wed, 23 Aug 2006 23:21:05 +0200

wide-dhcpv6 (20060322-3) unstable; urgency=low

  * debian/scripts/dhcp6c-script:
    -> Added resolvconf support if it is installed, thanks to Mattias Guns
       (Closes: #369674).
  * debian/patches:
    -> 01_Makefile.in.dpatch: removes a bashism which caused a FTBFS if
       /bin/sh does not point to bash (Closes: #376369).
    -> 08_support-include-statement.dpatch: upstream patch allowing the use of


=== debian/control ===
Source: wide-dhcpv6
Section: net
Priority: optional
Maintainer: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>
Build-Depends: debhelper, autotools-dev, bison, flex (>> 2.5.4)
Standards-Version: 3.7.2.1
XS-Vcs-Git: git://git.famille-corbier.net/packages/wide-dhcpv6.git/
XS-Vcs-Browser: http://git.famille-corbier.net/?p=packages/wide-dhcpv6.git;a=summary

Package: wide-dhcpv6-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, base64
Conflicts: wide-dhcpv6-server
Description: DHCPv6 client for automatic IPv6 hosts configuration
 This is the DHCPv6 client from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.
 .
 Note: This package requires at least a 2.4 kernel with recent USAGI IPv6
 patches.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_MAKE_INSTALL_TARGET += prefix=$(DEB_DESTDIR)/usr
#DEB_INSTALL_DOCS_ALL += README CHANGES
DEB_CONFIGURE_EXTRA_FLAGS += --with-localdbdir=/var/lib/dhcpv6 --sysconfdir=/etc/wide-dhcpv6
DEB_UPDATE_RCD_PARAMS += "start 58 2 3 4 5 . stop 40 0 1 6 ."

binary-post-install/wide-dhcpv6-client::
	chmod +x debian/wide-dhcpv6-client/etc/wide-dhcpv6/dhcp6c-*

## wide-dhcpv6 20070507-3osso6

=== debian/changelog ===
wide-dhcpv6 (20070507-3osso6) fremantle; urgency=low

  * Builded for Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 03 Jun 2012 23:48:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: wide-dhcpv6
 Section: net
 Priority: optional
-Maintainer: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>
+Maintainer: Pali Rohár <pali.rohar@gmail.com>
+XSBC-Original-Maintainer: Jeremie Corbier <jeremie.corbier@resel.enst-bretagne.fr>
 Build-Depends: debhelper, autotools-dev, bison, flex (>> 2.5.4)
 Standards-Version: 3.7.2.1
 XS-Vcs-Git: git://git.famille-corbier.net/packages/wide-dhcpv6.git/
@@ -9,7 +10,7 @@
 
 Package: wide-dhcpv6-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, base64
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
 Conflicts: wide-dhcpv6-server
 Description: DHCPv6 client for automatic IPv6 hosts configuration
  This is the DHCPv6 client from WIDE project. For more information visit the

## wide-dhcpv6 20080615

=== debian/changelog ===
wide-dhcpv6 (20080615-16) unstable; urgency=low

  * debian/extra:
      - Move example files to "extra" folder
      - Add sample script of ppp/ipv6-ip/down for wide-dhcpv6-client
        (Closes: #561951)
  * debian/patches:
      - Add build support for GNU/Hurd platform
      - Add a bit info to logger when get dhcpv6 option:
        OPTION_RECONF_ACCEPT (Closes: #562079)

 -- Roger Shimizu <rogershimizu@gmail.com>  Sat, 26 Dec 2015 08:18:15 +0900

wide-dhcpv6 (20080615-15) unstable; urgency=medium

  * debian/copyright:
      Change to v1.0 machine-readable format (DEP-5).
  * debian/control:
      Make lintian happy on "xc-package-type-in-debian-control" check.
  * debian/po:
      Added Brazilian Portuguese debconf templates translation, thanks to
      Eder L. Marques (Closes: #795355).
  * debian/*.{config,postinst,postrm}:
      Make lintian happy on "maintainer-script-without-set-e" check.
  * debian/*.lintian-overrides:
      This project is mainly BSD-3-clause license, only uses Bison which is
      GPL license with exception. So override here to make lintian ignore
      "copyright-should-refer-to-common-license-file-for-gpl" check.
  * debian/patches:
      - Merge patch 0011 with 0005 to make it more clear.
      - Add patch 0013 from upstream git repo to update sample configs.
      - Add kFreeBSD build support.
  * debian/rules:
      Restart service after (re)-install, and don't fail install when service
      start fails (Closes: #773878).
  * debian/*.init.d:
    debian/*.postinst:
      Add verbose log option to config files, and keep settings during
      upgrading.

 -- Roger Shimizu <rogershimizu@gmail.com>  Wed, 09 Dec 2015 01:15:09 +0900

wide-dhcpv6 (20080615-14) unstable; urgency=low

  * New maintainer (Closes: #743176).
  * Fix a few gcc warnings.

 -- Roger Shimizu <rogershimizu@gmail.com>  Thu, 10 Sep 2015 00:20:40 +0900

wide-dhcpv6 (20080615-13) unstable; urgency=low

  * Try and generate a default IFID only if an IFID is not configured
    (Closes: #751168).
  * Make sure daemons are properly stopped in init scripts, thanks to
    Tim Small <tim@buttersideup.com> for the initial patch (Closes: #745560).
  * Close file descriptors when executing client script (Closes: #757848).
  * Fix renewal of IA NA, patch by Vegard Engen <vegard@engen.priv.no>.
  * Call client script after interfaces have been configured (Closes: #734644).
  * Bumped up Standards-Version to 3.9.6: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Tue, 02 Dec 2014 11:47:56 +0100

wide-dhcpv6 (20080615-12) unstable; urgency=low

  * Acknowledge l10n NMU by Christian Perrier
  * Switched to Debhelper compatibility level 9.
  * Bumped up Standards-Version to 3.9.4: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Wed, 15 May 2013 10:51:25 +0200

wide-dhcpv6 (20080615-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #645824
    - Dutch; (Jeroen Schot).  Closes: #632629
    - Polish (Michał Kułach).  Closes: #659242
    - Italian (Beatrice Torracca).  Closes: #660000

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Feb 2012 19:07:44 +0100

wide-dhcpv6 (20080615-11) unstable; urgency=low

  * Add wide-dhcpv6-client-udeb for d-i integration, thanks to
    Matthew Palmer <mpalmer@debian.org> for the patch (Closes: #611870).

 -- Jérémie Corbier <jcorbier@debian.org>  Thu, 03 Feb 2011 14:06:05 +0100

wide-dhcpv6 (20080615-10) unstable; urgency=low

  * Fix wide-dhcpv6-{server,relay}.config.
  * Bumped up Standards-Version to 3.9.1: no changes needed.

 -- Jérémie Corbier <jcorbier@debian.org>  Mon, 15 Nov 2010 21:50:12 +0100

wide-dhcpv6 (20080615-9) unstable; urgency=low

  * New maintainer email address.
  * Init scripts gracefully exit if /etc/default/wide-dhcpv6-* files are not
    available.
  * debian/patches:
    -> Added 0007-Adding-ifid-option-to-the-dhcp6c.conf-prefix-interfa.patch:
       allows to override default EUI-64 address selection. Thanks to Bjørn Mork
       <bjorn@mork.no> for the patch (Closes: #591828).
  * Switch to a patch queue workflow.

 -- Jérémie Corbier <jcorbier@debian.org>  Thu, 11 Nov 2010 16:31:21 +0100

wide-dhcpv6 (20080615-8) unstable; urgency=low

  * debian/patches:
    -> Added debian/patches/103_update-ifid-on-restart.diff: interface id may
       change between a stop and a start command sent to the client, reset it on
       start. Thanks to Bjørn Mork <bjorn@mork.no> for the patch
       (Closes: #561949).
    -> Updated debian/patches/102_libc6-2.9-fixes.diff: now checks whether
       in6_pktinfo is defined by the libc or not.
  * debian/scripts/dhcp6c-script:
    -> Only add nameservers if they are not already declared in /etc/resolv.conf
      (Closes: #561945).
  * Added dependency on $remote_fs in init scripts LSB headers.
  * Switched to 3.0 (quilt) source package format ; no need for a README.source
    file anymore.
  * Bumped up Standards-Version to 3.8.4: no changes needed.

 -- Jérémie Corbier <jeremie+debian@famille-corbier.net>  Thu, 25 Mar 2010 10:07:03 +0100

wide-dhcpv6 (20080615-7) unstable; urgency=low

  * New maintainer email address.
  * debian/patches:
    -> Added debian/patches/102_libc6-2.9-fixes.diff: renamed dprintf to
       debug_printf since the libc already exports a dprintf symbol
       (Closes: #552845).
    -> Refreshed all patches.
  * Switched to Debhelper compatibility level 7:
    -> Got rid of cdbs.
    -> Updated .install files accordingly.
    -> Added a versionned dependency on quilt so as to be sure it provides a dh
       plugin.
  * Bumped up Standards-Version to 3.8.3:
    -> Made sure init scripts don't fail if the daemon is already started or
       already stopped.
  * Init scripts:
    -> Fix LSB header Provides field.
    -> Have lintian shut up about supposedly invalid /etc/default files
       sourcing.


=== debian/control ===
Source: wide-dhcpv6
Section: net
Priority: optional
Maintainer: Roger Shimizu <rogershimizu@gmail.com>
Build-Depends: debhelper (>= 9.20120909), autotools-dev, bison, flex
Standards-Version: 3.9.6
Vcs-Git: git://github.com/rogers0/packaging_wide-dhcpv6.git
Vcs-Browser: https://github.com/rogers0/packaging_wide-dhcpv6
Homepage: http://wide-dhcpv6.sourceforge.net/

Package: wide-dhcpv6-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: DHCPv6 server for automatic IPv6 hosts configuration
 This is the DHCPv6 server from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.

Package: wide-dhcpv6-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, sharutils
Description: DHCPv6 client for automatic IPv6 hosts configuration
 This is the DHCPv6 client from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.

Package: wide-dhcpv6-client-udeb
Architecture: any
Section: debian-installer
Package-Type: udeb
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DHCPv6 client for automatic IPv6 hosts configuration
 This is the DHCPv6 client from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.
 .
 This is a udeb, designed to be used by Debian installer.

Package: wide-dhcpv6-relay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: DHCPv6 relay for automatic IPv6 hosts configuration
 This is the DHCPv6 relay from WIDE project. For more information visit the
 project web site at http://wide-dhcpv6.sourceforge.net/
 .
 DHCPv6 allows prefix delagation and host configuration for the IPv6 network
 protocol.
 .
 Multiple network interfaces are supported by this DHCPv6 package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--with-localdbdir=/var/lib/dhcpv6 --sysconfdir=/etc/wide-dhcpv6

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install

override_dh_installinit:
	dh_installinit --error-handler=true --restart-after-upgrade

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/wide-dhcpv6-client/etc/wide-dhcpv6/dhcp6c-*

=== debian/watch ===
version=3

http://sf.net/wide-dhcpv6/wide-dhcpv6-(\d+)\.tar\.gz
